Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1048040 (qt5-qtserialport) - Review Request: qt5-qtserialport - Qt5 Serialport component
Summary: Review Request: qt5-qtserialport - Qt5 Serialport component
Keywords:
Status: CLOSED ERRATA
Alias: qt5-qtserialport
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2014-01-03 00:54 UTC by Rex Dieter
Modified: 2014-01-23 20:13 UTC (History)
3 users (show)

Fixed In Version: qt5-qtserialport-5.2.0-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-17 05:47:08 UTC
lkundrak: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2014-01-03 00:54:04 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtserialport.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtserialport-5.2.0-1.fc20.src.rpm
Description:
Qt Serial Port provides the basic functionality, which includes configuring,
I/O operations, getting and setting the control signals of the RS-232 pinouts.

Fedora Account System Username: rdieter

Comment 1 Rex Dieter 2014-01-03 14:20:27 UTC
scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6353143

Comment 2 Lubomir Rintel 2014-01-03 14:45:54 UTC
0.) You may want to use a bcond here; so that it's a bit more readable and rpmbuild --without works:

# define to build docs, need to undef this for bootstrapping
%define docs 1
...
%if 0%{?docs}

%bcond_without docs
...
%if %with docs

1.) You may want to %exclude this one:
qt5-qtserialport-doc.noarch: E: zero-length /usr/share/doc/qt5/qtserialport/demos-manifest.xml

* Package is named correctly
* Packaging the latest version
* Good license, full text present
* License tag correct
* Rpmlint mostly happy (see above)
* Requires file
* Provides fine
* Filelist fine
* SPEC file clean and legible, fairly standard Qt5 package

APPROVED

Comment 3 Rex Dieter 2014-01-04 15:06:35 UTC
New Package SCM Request
=======================
Package Name: qt5-qtserialport
Short Description: Qt5 - Serialport component
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: el6 f19 f20
InitialCC:

Comment 4 Gwyn Ciesla 2014-01-06 13:48:26 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-01-08 19:21:45 UTC
qt5-qtserialport-5.2.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qt5-qtserialport-5.2.0-1.el6

Comment 6 Fedora Update System 2014-01-08 19:22:14 UTC
qt5-qtserialport-5.2.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qt5-qtserialport-5.2.0-1.fc20

Comment 7 Fedora Update System 2014-01-08 19:22:54 UTC
qt5-qtserialport-5.2.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qt5-qtserialport-5.2.0-1.fc19

Comment 8 Fedora Update System 2014-01-09 04:37:51 UTC
qt5-qtserialport-5.2.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 9 Fedora Update System 2014-01-17 05:47:08 UTC
qt5-qtserialport-5.2.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 10 Fedora Update System 2014-01-17 05:48:28 UTC
qt5-qtserialport-5.2.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2014-01-23 20:13:38 UTC
qt5-qtserialport-5.2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.